org.apache.felix.bundlerepository.impl

## Class OSGiResourceHelper

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.OSGiResourceHelper

    public class OSGiResourceHelper
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`OSGiResourceHelper()`

### Method Summary

Methods
`static java.lang.String` `getContentAttribute(org.osgi.resource.Resource resource)`
`static java.lang.Object` `getContentAttribute(org.osgi.resource.Resource resource, java.lang.String name)`
`static java.lang.Object` `getIdentityAttribute(org.osgi.resource.Resource resource, java.lang.String name)`
`static org.osgi.resource.Resource` `getResource(org.osgi.resource.Requirement requirement, org.osgi.service.repository.Repository repository)`
`static java.lang.String` `getSymbolicNameAttribute(org.osgi.resource.Resource resource)`
`static java.lang.String` `getTypeAttribute(org.osgi.resource.Resource resource)`
`static org.osgi.framework.Version` `getVersionAttribute(org.osgi.resource.Resource resource)`
`static boolean` `matches(org.osgi.resource.Requirement requirement, org.osgi.resource.Capability capability)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OSGiResourceHelper

    public OSGiResourceHelper()

### Method Detail

#### getContentAttribute

    public static java.lang.String getContentAttribute(org.osgi.resource.Resource resource)

#### getContentAttribute

    public static java.lang.Object getContentAttribute(org.osgi.resource.Resource resource,
                                       java.lang.String name)

#### getIdentityAttribute

    public static java.lang.Object getIdentityAttribute(org.osgi.resource.Resource resource,
                                        java.lang.String name)

#### getResource

    public static org.osgi.resource.Resource getResource(org.osgi.resource.Requirement requirement,
                                         org.osgi.service.repository.Repository repository)

#### getSymbolicNameAttribute

    public static java.lang.String getSymbolicNameAttribute(org.osgi.resource.Resource resource)

#### getTypeAttribute

    public static java.lang.String getTypeAttribute(org.osgi.resource.Resource resource)

#### getVersionAttribute

    public static org.osgi.framework.Version getVersionAttribute(org.osgi.resource.Resource resource)

#### matches

    public static boolean matches(org.osgi.resource.Requirement requirement,
                  org.osgi.resource.Capability capability)